Summary: Japanese fixed fonts for X11
Name: XFree86-jpfonts
Version: 2.0
Release: 12
Copyright: Distributable
Group: User Interface/X
Summary(ja): XܸĹե

Source0: 6x12.tar.bz2

%define Kappa Kappa20-0.3
Source1: %{Kappa}.tar.bz2

%define kaname kaname-alter-2.8.1
Source2: %{kaname}.tar.bz2

Source4: mkbold
%define mkbold $RPM_SOURCE_DIR/mkbold
%define b2p /usr/X11R6/bin/bdftopcf

Source5: xfonts_jp.tgz
Source6: marumoji.tgz

Source7: fonts.dir.jp
Source8: fonts.alias.jp

%define k14goth k14goth-1.5
Source11: %{k14goth}.tar.bz2
Source12: kanji32.bdf.bz2

Patch0: mkitalic-nontty.patch

BuildRoot: /var/tmp/XFree86-jpfonts-root
BuildArchitectures: noarch
Prereq: chkfontpath

%description
XFree86-jpfonts Package contains Japanese fixed fonts for X11.

%description -l ja
XѤܸĹեȤǤ
kaname-alter, k14goth, Kappa20, kanji32, marumoji ϿƤޤ.
Vine Linux ΤΤȤ٤ knj10 ޤޤƤޤ

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -c -a 1 -a 2 -a 5 -a 6 -a 11

cp %kaname/tools/mkitalic .

bzip2 -dc %{SOURCE12} > kanji32.bdf

mv */*.bdf ./

%patch0 -p1 -b .nontty

%define fontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/japanese
mkdir -p %{fontdir}

%build

# make bold fonts
for i in 6x12rk 7x14 7x14rk 8x16 8x16rk 12x24 12x24rk jiskan16 jiskan24 kanji32 ; do
  /usr/bin/perl %{mkbold} ${i}.bdf > ${i}b.bdf
done

# make italic fonts
for i in 6x12rk 7x14 7x14rk 8x16 8x16rk 12x24 12x24rk jiskan16 jiskan24 kanji32 ; do
  ./mkitalic ${i}.bdf > ${i}i.bdf
#  ./mkitalic ${i}b.bdf > ${i}bi.bdf
  /usr/bin/perl %{mkbold} ${i}i.bdf > ${i}bi.bdf
done

for i in 6x12a 6x12B 10x20m 10x20b 10x20rkm 10x20rkb k20m k20b ; do
  ./mkitalic ${i}.bdf > ${i}i.bdf
done

# make .pcf.gz
for i in *.bdf ; do
  %{b2p} $i | gzip -9 > `basename $i .bdf`.pcf.gz
  rm $i
done

# make kaname-alter
(cd %{kaname}
./configure --with-family=Fixed --with-fontdir=%{fontdir}
make
make bold-italic
)

# make k14goth
(
cd %{k14goth}
./configure --with-fontdir=%{fontdir}
make
make bold-italic
)

# make documents
mv %{kaname}/README.ja README-%{kaname}
mv %{k14goth}/README.ja README-%{k14goth}


rm *.alias

%install
# install kaname
(cd %{kaname}
make install
make install-italic-bold -C hankaku
make install-italic-bold -C kanjic
make install-italic-bold -C kanjip
make install-italic-bold -C latin1
)

# install k14goth
(
cd %{k14goth}
make install
make install-bold-italic -C kanjic 
)

mv *.pcf.gz %{fontdir}
cp $RPM_SOURCE_DIR/fonts.dir.jp %{fontdir}/fonts.dir
cp $RPM_SOURCE_DIR/fonts.alias.jp %{fontdir}/fonts.alias

%post
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/japanese

%postun
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/japanese
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root,root)
%doc 6x12/ %{Kappa}/ README*
/usr/X11R6/lib/X11/fonts/japanese/*

%changelog
* Tue Sep 12 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- modify mkitalic to be able to build when stdout is not tty
- disable -V option of mkitalic in spec

* Fri Sep 01 2000 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild on 7.0J

* Mon Jun 19 2000 Daisuke SUZUKI <daisuke@redhat.com>
- 2.0-10rh
- remove knj10 font for redhat Linux

* Wed Mar  1 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- 2.0-7, 2.0-9, 2.0-10
- updated to kaname-alter-2.8.1, k14goth-1.5

* Tue Jan 18 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-6
- updated to kaname-alter-2.5

* Tue Jan 11 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-5
- change group
- bzip2 many sources
- updated to kaname-alter-2.4, k14goth-1.3

* Wed Dec 29 1999 Jun Nishii <jun@vinelinux.org>
- rebuild (last build seems to be failed...)

* Fri Dec 24 1999 Jun Nishii <jun@vinelinux.org>
- removed verbose files in /usr/doc

* Thu Dec 23 1999 Jun Nishii <jun@vinelinux.org>
- kaname-alter-2.3
- k14goth-1.2

* Thu Nov 11 1999 Jun Nishii <jun@vinelinux.org>
- 1.9-1.1 try Mr.Furukawa's mkitalic

* Thu Nov 11 1999 Jun Nishii <jun@vinelinux.org>
- 1.9-1.0
- bug fix in fonts.alias

* Tue Nov 9 1999 Jun Nishii <jun@vinelinux.org>
- update to kaname-alter-2.1

* Fri Oct 15 1999 MATSUMOTO Shoji <shom@flatout.org>
- change mkitalic
- change to kaname-alter-1.3
- change to k14goth-1.0
- add kanji32

* Tue Oct  5 1999 MATSUMOTO Shoji <shom@flatout.org>
- add mkitalic
- replace k14 to k14goth

* Tue Sep 14 1999 Norihito Ohmori <ohmori@flatout.org>
- change kaname-machi font to kaname-machi kai
 
* Wed Dec  9 1998 MATSUMOTO Shoji <pje@linux.or.jp>
- create spec
